Built-in Web Client
The built-in Web Client is the easiest and fastest way to integrate a signing client within your signing process.
Once the contract is submitted, simply generate the signing URL using the REST API described below and open the URL in any browser.
REST APIs
Deployment URL
URL of the websign depends on the deployment, but will typically be:
https://{hostname}/websignPaths documented will be relative to this deployment base URL.
Authentication
All API described in this chapter are protected with HTTP Basic authentication. Credentials consist to the username and the password of a valid administrator account on the SENSE server.
References
Generate document link
A unique link must be generated depending of the contract id and the username of the user that must sign the document. This information is encrypted in the url to reduce the risk of url predictability.
The web client provides the API below to generate the link. The API is protected with HTTP basic authentication. Credentials are statically configured on the server's instance.
POST /manage/signatory/infoRequest body
{
"contractId": "f67b7e46-06f3-4e85-a278-6e9eeb020745", <1>
"username": "customer_username", <2>
"redirectTo": "https://example.com/ebanking/f67b7e46-06f3-4e85-a278-6e9eeb020745?status={response}" <3>
}- Identifier of the contract (required)
- Username that need to sign the contract (must be the pending signatory) (required)
- URL where the user will be redirected after signature, it may contain the placeholder
{response}which will be replaced byacceptedorrefused(optional)
Response body
{
"redirectUrl": "https://example.com/websign/#/document/encrypted-data" <1>
}- Unique and encrypted URL to the document
The example below demonstrates how to generate the URL with cURL.
Generate document link example
curl --location \
--request POST 'https://sandbox.lets-sign.com/websign/manage/signatory/info' \ <1>
--header 'Content-Type: application/json' \
--user 'username:password' \ <2>
--data-raw '{
"contractId":"89bf29a4-6829-4df3-9699-847a61742936", <3>
"username": "dev-1" <4>
}'- URL of the Websign management API
- Credentials of an SENSE Security admin's account
- Contract ID
- Username of the contract (in case of multi signature, only one signatory can access the document at once)